:root {
    --font-primary: "Poppins", sans-serif;
    --primary-bg: #111;
    --hover-bg: #333;
}

body {
    color: black;
    font-family: var(--font-primary);
    margin: 0;
    display: flex;
    min-height: 100vh;
}

/* ================= MAIN ================= */

main {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
}

.main {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
}

/* ================= TYPOGRAPHY ================= */

p {
    color: #555;
}

a {
    text-decoration: none;
    color: inherit;
}

ul li {
    list-style: none;
}

/* ================= SIDEBAR ================= */

aside {
    display: flex;
    flex-direction: column;
    height: 100vh;
    position: sticky;
    top: 0;
    width: 70px;
    transition: width 0.3s ease;

    background: #fff;
    border-right: 1px solid #eee;
}
aside a {
    display: flex;
    align-items: center;
    flex-direction: row;
    overflow: hidden;
    gap: 8px;
    padding: 10px;
    border-radius: 8px;
    width: 100%;
    box-sizing: border-box;
    transition: background 0.2s ease;
}

aside.open {
    width: 180px
}

nav.side-bar {
    flex: 1;
}

aside ul {
    padding: 8px;
    margin: 0;
}

div.bottom-sidebar {
    margin-top: auto;
}



aside a span{
    display: inline-block;
}

aside a:hover {
    background: #f3f3f3;
}

.icon {
    width: 40px;
    min-width: 40px;
    display: flex;
    justify-content: center;
}

.text {
    opacity: 0;
    white-space: nowrap;
    max-width: 0;
    overflow: hidden;
    transition: opacity 0.2s ease;
}

aside.open .text {
    opacity: 1;
    max-width: 220px;
}

/* ================= Upload BUTTON ================= */

.upload-btn {
    display: inline-block;
    margin-top: 20px;
    padding: 12px 20px;
    background: #000;
    color: #fff;
    border-radius: 8px;

    transition: transform 0.2s ease;
}

.upload-btn:hover {
    background: #333;
    transform: scale(1.02);
}

/* ================= WELCOME ================= */

.welcome-box {
    text-align: center;
    padding: 40px;
}

.toggleBtn {
    width: 40px;
    height: 40px;
    margin: 13px;
    border: none;
    background: transparent;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 5px;
}

.toggleBtn span {
    display: block;
    height: 3px;
    width: 25px;
    background: #111;
    border-radius: 5px;
    transition: 0.3s ease;
}
/* ================= dashboard container ================= */
.dashboard-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.action-upload {
    text-align: center;
}

.upload-submit {
    display: inline-block;
    margin-top: 20px;
    padding: 12px 30px;
    background: #000;
    color: #fff;
    border-radius: 8px;

    transition: transform 0.2s ease;
}

.upload-submit:hover {
    background: #222;
    transform: scale(1.02);
}

.submenu{
    display: none;
    padding-left: 20px;
}

.dropdown.open .submenu {
    display: block;
}
.submenu li {
    list-style: circle;
}